"use strict";
/* Socket Lib - Built with rolldown */
Object.defineProperty(exports, Symbol.toStringTag, { value: 'Module' });

//#region src/node/async-hooks.ts
let _asyncHooks;
/*@__NO_SIDE_EFFECTS__*/
function getNodeAsyncHooks() {
	return _asyncHooks ??= /*@__PURE__*/ require("node:async_hooks");
}

//#endregion
exports.getNodeAsyncHooks = getNodeAsyncHooks;